{
	"columns": [
		{
			"field": "prwo.resource_id",
			"width": 40,
			"name": "Kuor.",
			"enterable": 1
		},
		{
			"field": "pro.company_id",
			"width": 50,
			"name": "Asiakas"
		},
		{
			"field": "co.name",
			"width": 80,
			"name": "Asiakkaan nimi"
		},
		{
			"field": "pro.sales_order_id",
			"width": 45,
			"name": "Myyntitil."
		},
		{
			"field": "prwo.json_data.reclamation_count",
			"width": 25,
			"name": "Rekl."
		},
		{
			"field": "pr.name",
			"width": 180,
			"name": "Työn nimi",
			"fieldx": "ld_work_atName"
		},
		{
			"field": "pro.production_order_id",
			"width": 45,
			"name": "Työmäär."
		},
		{
			"field": "prwo.production_lot",
			"width": 50,
			"name": "Valm. erä"
		},
		{
			"field": "prwo.work_phase_number",
			"width": 40,
			"name": "Työvaihe"
		},
		{
			"field": "prwo.work_phase_state",
			"width": 25,
			"name": "Tila"
		},
		{
			"field": "pro.started_amount",
			"width": 30,
			"name": "Erä"
		},
		{
			"width": 34,
			"cellGraphFormatter": {
				"percent_max": 30,
				"html": "<svg width='100%' height='100%'><rect x='{{x}}%' y='5%' height='90%' width='{{size}}%' fill='{{color}}'></rect><text dy='75%'>{{value}}</text></svg>",
				"percent_color": [
					{
						"end": 0,
						"color": "red"
					},
					{
						"start": 0,
						"end": 7,
						"color": "orange"
					},
					{
						"start": 7,
						"end": 30,
						"color": "lightgreen"
					},
					{
						"start": 30,
						"color": "MediumSeaGreen"
					}
				],
				"negative_from_end": true
			},
			"field": "prwo.remaining_amount",
			"cssClass": "gridGraph",
			"name": "Jäljellä"
		},
		{
			"field": "prwo.produced_amount",
			"width": 55,
			"name": "Valmistunut"
		},
		{
			"field": "pro.info",
			"width": 200,
			"name": "Lisätietoja",
			"fieldx": "ld_work_atInfo"
		},
		{
			"field": "prwo.json_data.critical_start_time",
			"width": 53,
			"name": "Vaiheen alkupäivä"
		},
		{
			"field": "prwo.json_data.critical_end_time",
			"width": 58,
			"name": "Vaiheen eräp. norm"
		},
		{
			"field": "prwo.json_data.critical_delayed_end_date",
			"width": 80,
			"name": "Vaiheen eräp. aik."
		},
		{
			"field": "pr.product_id",
			"width": 70,
			"name": "Tuote"
		}
	],
	"name": "grid/manager/product/product_work/order/workpost_new_aga/work_column.json",
	"calculated_colums": [
		{
			"field": "",
			"width": 27,
			"name": "Ohj.\raika",
			"fieldx": "ld_work_agTrackTimeGraph"
		},
		{
			"field": "",
			"width": 20,
			"name": "RA",
			"fieldx": "ld_work_alRawMaterialState"
		},
		{
			"field": "",
			"width": 70,
			"name": "Kiireellisyys",
			"fieldx": "ld_work_agGraph"
		},
		{
			"field": "",
			"width": 41,
			"name": "Vaiheita\rennen",
			"fieldx": "ld_work_alPhasesBefore"
		},
		{
			"field": "",
			"width": 40,
			"name": "Kumul",
			"fieldx": "ld_work_arCumulativeFree"
		},
		{
			"width": 39,
			"info": "material phase: PrevPhaseProducedAmount-prwo.produced_amount, own phase: PrevPhaseProducedAmount-prwo.produced_amount-wosfailed_amount, subcontract phase: PrevPhaseProducedAmount-prwo.produced_amount-wosfailed_amount-porComingAmount",
			"fieldx": "ld_work_arAmountToStart",
			"field": "",
			"name": "Voi aloittaa"
		},
		{
			"width": 50,
			"info": "(wpaWorkTimeSum/prwo.json_data.target_time)*100",
			"fieldx": "ld_work_arWorkTimeProgress",
			"field": "",
			"name": "Valm. %"
		},
		{
			"width": 24,
			"info": "EndDate (many optional dates) - CurrentDate",
			"fieldx": "ld_work_alDaysToFinish",
			"field": "",
			"name": "Ero"
		}
	],
	"columns_fix": [
		{
			"field": "prwo.json_data.production_lot__work_ph",
			"width": 30,
			"name": "Vaihe"
		},
		{
			"field": "prwo.json_data.subcontract",
			"width": 40,
			"name": "On AH"
		},
		{
			"field": "prwo.json_data.work_time",
			"width": 46,
			"name": "Vaiheaika"
		},
		{
			"field": "prwo.json_data.delivery_to_customer",
			"width": 60,
			"name": "Toim. asiakkaalle"
		},
		{
			"field": "prwo.json_data.target_time",
			"width": 60,
			"name": "Standardiaika [t/erä]:"
		},
		{
			"field": "prwo.json_data.subtype",
			"width": 26,
			"name": "Alatila"
		},
		{
			"field": "pro.drawing_number",
			"width": 63,
			"name": "Piirustus"
		},
		{
			"width": 40,
			"cellGraphFormatter": {
				"value_color": [
					{
						"end": 0,
						"color": "none"
					},
					{
						"start": 0,
						"end": 1,
						"color": "none"
					},
					{
						"start": 1,
						"end": 2,
						"color": "orange"
					},
					{
						"start": 2,
						"end": 3,
						"color": "lightgreen"
					},
					{
						"start": 3,
						"end": 4,
						"color": "DarkGrey"
					},
					{
						"start": 4,
						"color": "red"
					}
				],
				"html": "<svg width='100%' height='100%'><circle cx='50%' cy='50%' r='0.5em' fill='{{color}}'></circle><text dy='75%'>{{value}}</text></svg>"
			},
			"field": "prwo.json_data.track_time_status",
			"cssClass": "gridGraph",
			"name": "Ohj. aika"
		},
		{
			"field": "prwo.json_data.reclamation_count",
			"width": 46,
			"name": "Rekl. mrä"
		},
		{
			"field": "xx",
			"width": 28,
			"name": "Järj."
		},
		{
			"field": "prwo.extra_hours",
			"width": 65,
			"name": "Lisäaika"
		},
		{
			"field": "pro.json_data.critical_delayed_end_date",
			"width": 53,
			"name": "Kriittinen pv",
			"fieldx": "ld_work_adCriticalDateDelayed"
		},
		{
			"field": "pro.json_data.critical_real_end_date",
			"width": 53,
			"name": "Kr. pv AITO",
			"fieldx": "ld_work_adCriticalDateReal"
		},
		{
			"field": "pr.json_data.document_count",
			"width": 25,
			"name": "Dok",
			"fieldx": "ld_work_alDocumentCount"
		},
		{
			"field": "pr.production_control_type",
			"width": 22,
			"name": "T/V",
			"fieldx": "ld_work_alProductionControlType"
		},
		{
			"field": "xx",
			"width": 25,
			"name": "Luk.",
			"fieldx": "ld_work_alOtherPhaseLockedState"
		},
		{
			"field": "prwo.json_data.planned_work_time",
			"width": 35,
			"name": "Vaiheaika s",
			"fieldx": "ld_work_arPlannedWorkTime"
		},
		{
			"field": "prwo.json_data.start_time",
			"width": 53,
			"name": "Jonoalku",
			"fieldx": "ld_work_adStart_Date"
		},
		{
			"field": "prwo.json_data.start_time",
			"width": 53,
			"name": "Jonoalku",
			"fieldx": "ld_work_ahStart_Time"
		},
		{
			"field": "prwo.json_data.end_time",
			"width": 53,
			"name": "Jonoloppu",
			"fieldx": "ld_work_adEnd_Date"
		},
		{
			"field": "prwo.json_data.end_time",
			"width": 53,
			"name": "Jonoloppu",
			"fieldx": "ld_work_adEnd_Time"
		},
		{
			"field": "prwo.json_data.delay",
			"width": 53,
			"name": "Viiväst.",
			"fieldx": "ld_work_arDelay"
		},
		{
			"field": "prwo.json_data.advance",
			"width": 38,
			"name": "Aikaist.",
			"fieldx": "ld_work_arAdvance"
		}
	]
}